<ion-content class="my-cart-wrapper">
  <ion-header class="header-cart">
    <ion-row class="header-top">
      <ion-icon (click)="goToHomePage()" name="arrow-back"></ion-icon>
      <ion-title>My cart</ion-title>
    </ion-row>
    <ion-row class="cost-row">
      <div class="cost-wrapper">
        <label class="price-title">Total cost</label>
        <div class="price-amount"> {{ cartAmount | async }}</div>
      </div>
    </ion-row>
  </ion-header>
  <ion-grid class="gird-orders">
    <h3 class="menu-heading">Review Orders</h3>
    <ng-container *ngFor="let item of filterCarts;">
      <ion-row class="order-item">
        <ion-col class="item-content ion-no-padding" size="9">
          <span class="letter-badge">N</span>
          <div class="item-info">
            <h4 class="item-name">{{ item.name }}</h4>
            <p class="item-desc">{{ item.description }}</p>
            <p class="item-price">€ {{ item.price }}</p>
          </div>
        </ion-col>
        <ion-col class="qty-col ion-no-padding" size="3">
          <div class="qty-counter">
            <ion-icon  *ngIf="item.count < 20" name="add-outline" (click)="addItem(item)"></ion-icon>
            <div *ngIf="item.count > 0" style="display: flex;">
              <span class="qty-count">{{ item.count }}</span>
              <ion-icon name="remove-outline" (click)="removeItem(item)"></ion-icon>    
            </div>
          </div>
        </ion-col>
      </ion-row>
    </ng-container>

    <ion-row class="show-more" *ngIf="canShow && carts?.length > 2">
      <a class="more-lynk"  (click)="showMoreCarts()">Show more</a>
    </ion-row>
    <h3 class="delivery-heading">Delivery options</h3>
    <ion-row class="dopt-row">
      <ion-col class="dine-in">
        <ion-img src="assets/images/dining-table.svg"></ion-img>
        <span class="">Dine in</span>
        <ion-radio slot="start" mode="md" value=""></ion-radio>
      </ion-col>
      <ion-col class="take-away">
        <ion-img src="assets/images/food-truck.svg"></ion-img>
        <span class="">Take away</span>
        <ion-radio slot="start" mode="md" value=""></ion-radio>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
<ion-footer class="foo-order">
  <span class="po-txt">PLACE ORDER</span>
</ion-footer>